package com.qqchen.deploy.backend.workflow.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 工作流节点分类枚举
 */
@Getter
@AllArgsConstructor
public enum NodeCategoryEnums {
    
    EVENT("EVENT", "事件节点"),
    TASK("TASK", "任务节点"),
    GATEWAY("GATEWAY", "网关节点"),
    CONTAINER("CONTAINER", "容器节点");
    
    /**
     * 分类编码
     */
    private final String code;
    
    /**
     * 分类名称
     */
    private final String name;
} 